# $Revision: 1.23.2.1 $, $Date: 2006/05/15 14:29:13 $
Summary:	libXklavier library
Summary(pl):	Biblioteka libXklavier
Name:		libxklavier
Version:	2.2
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/gswitchit/%{name}-%{version}.tar.gz
# Source0-md5:	a9c2e53ea96ed138b588df5a9b9addaf
Patch0:		%{name}-warnings.patch
URL:		http://www.freedesktop.org/Software/LibXklavier
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6.17
BuildRequires:	pkgconfig
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows you simplify XKB-related development.

%description -l pl
Ta biblioteka pozwala uproci programowanie zwizane z XKB.

%package devel
Summary:	Header files to develop libxklavier applications
Summary(pl):	Pliki nagwkowe do tworzenia aplikacji z uyciem libxklavier
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	XFree86-devel
Requires:	libxml2-devel >= 2.0.0

%description devel
Header files to develop libxklavier applications.

%description devel -l pl
Pliki nagwkowe do tworzenia aplikacji z uyciem libxklavier.

%package static
Summary:	Static version of libxklavier library
Summary(pl):	Statyczna wersja biblioteki libxklavier
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libxklavier library.

%description static -l pl
Statyczna wersja biblioteki libxklavier.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/libxklavier

%files devel
%defattr(644,root,root,755)
%doc doc/html/*.html doc/html/*.png doc/html/*.css
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxklavier.spec,v $
Revision 1.23.2.1  2006/05/15 14:29:13  baggins
- up to 2.2

Revision 1.28  2006/05/04 19:30:17  wiget
- release 2

Revision 1.27  2006/04/15 21:56:57  qboosh
- updated xkb data path (xorg-data-xkbdata >= 0.99.1)

Revision 1.26  2006/04/15 01:59:06  aredridel
- add xorg paths for xkb support

Revision 1.25  2006/03/15 18:17:19  freetz
- 2.2

Revision 1.24  2006/02/22 22:24:47  freetz
- xorg deps, rel.2

Revision 1.23  2005/12/15 16:38:35  freetz
- 2.1, waitpid patch included in sources

Revision 1.22  2005/12/04 11:25:31  freetz
- waitpid patch added, rel.3

Revision 1.21  2005/04/29 16:07:10  qrczak
- libxklavier-warnings.patch: removed -Werror because there are
  warnings (about char signedness, because of libxml)
- Release 2

Revision 1.20  2005/03/10 08:09:40  paladine
- merged from DEVEL

Revision 1.19  2005/03/02 10:49:08  qboosh
- added free patch (fix invalid free() detected by glibc); release 2

Revision 1.18.2.4  2005/02/26 12:11:01  grzegol
- updated to 2.0

Revision 1.18.2.3  2005/02/06 20:57:17  grzegol
- removed xkb_base patch
- rel. 1

Revision 1.18.2.2  2005/02/04 09:50:04  aflinta
- up to version 1.14

Revision 1.18.2.1  2004/11/07 07:18:11  paszczus
- updated to 1.11
- libxklavier 1.1x is for GNOME 2.9.x

Revision 1.18  2004/11/07 06:42:41  paszczus
- reverted: libxklavier 1.1x is for GNOME 2.9.x

Revision 1.17  2004/11/05 20:39:23  paszczus
- updated URL

Revision 1.16  2004/11/05 19:35:21  paszczus
- updated to 1.11

Revision 1.15  2004/10/02 21:30:51  grzegol
- updated to 1.04

Revision 1.14  2004/06/28 19:26:32  grzegol
- updated to 1.03

Revision 1.13  2004/04/14 07:18:02  wiget
- updated to 1.02

Revision 1.12  2004/04/10 11:28:38  grzegol
- updated to 1.01

Revision 1.11  2004/03/17 13:44:50  grzegol
- strict internal deps

Revision 1.10  2004/03/17 10:18:08  wiget
- updated to 1.00

Revision 1.9  2004/01/27 10:19:32  trojan
- updated to 0.97

Revision 1.8  2003/12/22 20:40:25  qboosh
- pl, unifications, -devel deps, BR: pkgconfig, XFree86-devel

Revision 1.7  2003/12/22 10:22:08  wiget
- 0.96

Revision 1.6  2003/11/16 22:23:27  wiget
- attr fixed

Revision 1.5  2003/11/16 17:52:39  wiget
- libtoolize

Revision 1.4  2003/11/16 17:40:37  wiget
- ac/am

Revision 1.3  2003/11/16 17:31:03  wiget
- don't require XFree86-modules, remove check for /usr/X11R6/lib/X11/xkb

Revision 1.2  2003/11/14 11:40:52  wiget
- md5sum added

Revision 1.1  2003/11/14 11:37:02  wiget
- based on spec from tarball
